For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTSearch Images
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceImage Search

Search Images

POST
https://vision-agent.api.reka.ai/v1/images/search
POST
/v1/images/search
$curl -X POST https://vision-agent.api.reka.ai/v1/images/search \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "query": "string"
>}'
200Successful
1{
2 "results": [
3 {
4 "image_id": "string",
5 "image_url": "string",
6 "image_metadata": {
7 "camera_id": "string",
8 "recorded_timestamp_utc": 1,
9 "video_clip_id": "string",
10 "org_id": "string",
11 "site_id": "string",
12 "event_id": "string",
13 "caption": "string",
14 "detection_metadata": [
15 {
16 "class_name": "string",
17 "bounding_box": [
18 1
19 ],
20 "confidence": 1.1,
21 "is_license_plate": false,
22 "license_plate_number": "string",
23 "ncic_category": "string"
24 }
25 ]
26 },
27 "upload_timestamp": 1.1,
28 "score": 1.1
29 }
30 ]
31}
Search for images with a plaintext query
Was this page helpful?
Previous

List Videos

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Headers

X-Enable-Overwrite-Meteringstring or nullOptional

Request

This endpoint expects an object.
querystringRequired>=1 character
Search query text
max_resultsintegerOptionalDefaults to 10
search_modeenumOptionalDefaults to vision

Search mode: ‘vision’ for vision-only search, ‘joined’ for hybrid search

Allowed values:
image_weightdouble or nullOptional

Weight of the image in the search (only used when search_mode=‘joined’)

text_weightdouble or nullOptional

Weight of the text in the search (only used when search_mode=‘joined’)

thresholddouble or nullOptional
Similarity score threshold

Response

Successful Response
resultslist of objects